<app-user-profile [user]="user" *ngIf="user !== null; else loginAndRegistration"></app-user-profile>

<ng-template #loginAndRegistration>
    <button class="ui fluid button" (click)="toggleLogin()">Switch to {{this.isLogin ? "registration" : "login"}}.</button>
    <app-login-form *ngIf="isLogin"></app-login-form>
    <app-registration-form *ngIf="!isLogin"></app-registration-form>
</ng-template>